Loading...
Searching...
No Matches
AtomSpec Struct Reference

`#include <openbabel/parsmart.h>`

## Public Attributes

AtomExpr * | expr
int | visit
int | part
int | chiral_flag
int | vb
std::vector< int > | nbrs

## Detailed Description

An internal (SMARTS parser) atom specification.

## Member Data Documentation

## expr

AtomExpr* expr

Referenced by OpenBabel::CopyPattern(), OpenBabel::CreateAtom(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OBSmartsPattern::ParseSMARTSPart(), and OBSmartsMatcher::SetupAtomMatchTable().

## visit

int visit

## part

int part

Referenced by OpenBabel::CopyPattern(), and OpenBabel::CreateAtom().

## chiral_flag

int chiral_flag

Referenced by OBSmartsMatcher::match(), and OBSmartsPattern::ParseSMARTSPart().

## vb

int vb

Referenced by OpenBabel::CreateAtom().

## nbrs

std::vector<int> nbrs

Referenced by OBSmartsMatcher::match(), and OBSmartsPattern::SMARTSParser().

The documentation for this struct was generated from the following file:

- parsmart.h